%define builtin_release_name Kishuf
%define product_family StartCom Enterprise Linux
%define base_release_version 5.0.1
%define builtin_release_variant Server
%define builtin_release_version 5%{builtin_release_variant}
%define real_release_version %{?release_version}%{!?release_version:%{builtin_release_version}}
%define real_release_name %{?release_name}%{!?release_name:%{builtin_release_name}}
%define product_family StartCom Enterprise Linux

%define current_arch %{_arch}
%ifarch i386
%define current_arch x86
%endif

Summary: %{product_family} release file
Name: startcom-release
Version: %{real_release_version}
Release: 1
License: GPL
Group: System Environment/Base
Source: startcom-release-%{builtin_release_version}.tar.gz
Obsoletes: rawhide-release startcom-release-as startcom-release-es startcom-release-ws startcom-release-de comps rpmdb-startcom
BuildRoot: %{_tmppath}/startcom-release-root
%if %{builtin_release_variant} == Client
ExclusiveArch: i386 x86_64
%else
%if %{builtin_release_variant} == Server
ExclusiveArch: i386 ia64 ppc s390x x86_64
%endif
%endif

%description
%{product_family} release files

%prep
%setup -q -n startcom-release-%{builtin_release_version}

%build
python -c "import py_compile; py_compile.compile('eula.py')"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
echo "%{product_family} AS release %{base_release_version} (%{builtin_release_name})" > $RPM_BUILD_ROOT/etc/startcom-release
cp $RPM_BUILD_ROOT/etc/startcom-release $RPM_BUILD_ROOT/etc/issue
echo "Kernel \r on an \m" >> $RPM_BUILD_ROOT/etc/issue
cp $RPM_BUILD_ROOT/etc/issue $RPM_BUILD_ROOT/etc/issue.net
echo >> $RPM_BUILD_ROOT/etc/issue
mkdir -p $RPM_BUILD_ROOT/etc/yum.repos.d
for file in *.repo; do
    install -m 644 $file $RPM_BUILD_ROOT/etc/yum.repos.d
done

mkdir -p $RPM_BUILD_ROOT/usr/share/firstboot/modules
cp eula.py* $RPM_BUILD_ROOT/usr/share/firstboot/modules

mkdir -p $RPM_BUILD_ROOT/usr/share/eula
cp EULA $RPM_BUILD_ROOT/usr/share/eula/eula.en_US

#mkdir -p $RPM_BUILD_ROOT/var/lib
#cp %{current_arch}/supportinfo $RPM_BUILD_ROOT/var/lib/supportinfo

#mkdir -p -m 755 $RPM_BUILD_ROOT/etc/yum.repos.d
#for file in startcom*repo ; do
#  install -m 644 $file $RPM_BUILD_ROOT/etc/yum.repos.d
#done

mkdir -p -m 755 $RPM_BUILD_ROOT/etc/pki/rpm-gpg
for file in RPM-GPG-KEY* ; do
        install -m 644 $file $RPM_BUILD_ROOT/etc/pki/rpm-gpg
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(0644,root,root) /etc/startcom-release
#%dir /etc/yum.repos.d
#%config(noreplace) /etc/yum.repos.d/*
%doc EULA GPL autorun-template
%config(noreplace) %attr(0644,root,root) /etc/issue
%config(noreplace) %attr(0644,root,root) /etc/issue.net
/usr/share/firstboot/modules/eula.py*
/usr/share/eula/eula.*
%dir /etc/pki/rpm-gpg
/etc/pki/rpm-gpg/*
/etc/yum.repos.d/*

%changelog
* Thu Nov 8 2007 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Wed Mar 14 2007 Eddy Nigg <eddy_nigg@startcom.org>
- Build for StartCom Linux 5.0.x


